Bug 205957 - Software Update should be able to run use a tool like sudo to authenticate sysadmins.
Software Update should be able to run use a tool like sudo to authenticate sy...
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2006-09-10 15:53 EDT by Chad
Modified: 2008-03-19 15:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-18 14:33:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chad 2006-09-10 15:53:23 EDT
Description of problem:
Tools such as "applications" -> "system tools" -> "software updater" that
require admin privileges should prompt for a root password.

The prompt should allow either a root password or the user's password or a
username and password.  When a user password is used functionality like that
provided by "sudo" should be used to run the tool.

Version-Release number of selected component (if applicable):
Fedora 5
Gnome 2.14.3

How reproducible:
Select the "software updater" tool from the "Applications" -> "System Tools" menu.

Actual results:
Prompted for the root password.

Expected results:
Prompted for the password for the the logged in user.

Additional info:
Many organizations rely on giving their sysadmins sudo on all machines they need
to rather than using an organization-wide root password and making the password
available to all sysadmins.
Comment 1 Ray Strode [halfline] 2008-03-18 14:33:40 EDT

We no longer support Fedora Core 5 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)
Comment 2 Chad 2008-03-18 15:15:43 EDT
Hi Ray,

Thanks for the update.  I do know Fedora Core 6 still behaves the same way 
because that is the version I am currently running.  If FC 6 is not supported I 
am sorry I can't comment as I am not very likely to upgrade in the near future.


PS: I used Ubuntu 7.10 recently and was surprised that it behaves as I 
described in the "expected results" above.
Comment 3 Ray Strode [halfline] 2008-03-18 15:31:22 EDT
Hi Chad,

You should be able to configure this already by editing the policy files in

USER=<user> means ask for user's password and USER=root means ask for root's
Comment 4 Chad 2008-03-19 14:38:54 EDT
Hi Ray,

I didn't realized the username could be configured.  I should look for docs on /
etc/security/ .

It is a bit different than what I was thinking of.  I prefer to not have one 
password that we have to change and have everyone learn each time someone moves 
to a different job.

Comment 5 Ray Strode [halfline] 2008-03-19 15:02:16 EDT
Hi I don't think I was being clear :-)

When I said 


i didn't mean e.g. USER=chad , but the actual, literal, magic string


It means, for the chad user, enter chad's password, for the rstrode user, enter
rstrode's password, etc.

Note You need to log in before you can comment on or make changes to this bug.